Bug 1118578 - [RFE][glance]: Refactoring Glance Logging
Summary: [RFE][glance]: Refactoring Glance Logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M1
: 7.0 (Kilo)
Assignee: Flavio Percoco
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/glan...
Whiteboard: upstream_milestone_kilo-1 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:10 UTC by RHOS Integration
Modified: 2016-04-26 13:30 UTC (History)
6 users (show)

Fixed In Version: openstack-glance-2015.1.0-6.el7ost
Doc Type: Enhancement
Doc Text:
The Image Service now features improved logging, providing better information to users. In addition, logs have been stripped of any sensitive information, and use the appropriate logging levels for messages. This change is only visible to operators.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:13:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1548 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2015-08-05 17:07:06 UTC

Description RHOS Integration 2014-07-11 04:10:22 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/glance/+spec/refactoring-glance-logging.

Description:

I would like to see whole Glance codebase revisited and the logging changed to use appropriate logging level and reflect the translation functions to those levels as well. This would be also good opportunity to ensure that we have no logging left that would write sensitive information like URIs and credentials to logfiles.

Specification URL (additional information):

https://github.com/openstack/glance-specs/blob/master/specs/juno/refactoring-glance-logging.rst

Comment 9 errata-xmlrpc 2015-08-05 13:13:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1548


Note You need to log in before you can comment on or make changes to this bug.